package com.yidianling.ydlcommon.custom.notification

import java.util.*

/**
 * Created by Jim on 2018/3/9 0009.
 */

abstract class PlayerStateObervable {
    protected var mObservers: ArrayList<PlayerStateObserver> = ArrayList()
    abstract fun registerObervers(observer: PlayerStateObserver)
    abstract fun updateObervers(state: Int?)
}
